Announcement!
This is a notification for product news or an alert. If you have a question, please start a new discussion

ALERTA: Cambios en SafeX3 Console en 2023R2

Este artículo proporciona una visión general de los cambios en el proceso de instalación en 2023R2 en comparación con versiones anteriores

Powershell SQL Server version módulo

Desde 2022 R4, Powershell y su módulo “SQLServer” es un requisito previo para instalar o actualizar.

A partir de 2023 R2, la versión del módulo de SQLServer que requiere la instalación de Powershell se ha actualizado a 22.1.1.

Para instalar el módulo SQLServer

Ejecute Powershell en modo “Ejecutar como administrador”

Si está actualizando desde 2022 R4 o superior, se habrá instalado una versión anterior del modulo SQLServer, por lo que deberá desinstalar dicha versión mediante

pwsh -Command "Uninstall-module SQLServer -Force -Verbose"

Antes de instalar la versión actualizada

pwsh -Command "Install-Module -Name SqlServer -Scope AllUsers -Force -RequiredVersion 22.1.1"

La alternativa es utilizar la opción -AllowClobber, y sobrescribir la vieja versión

pwsh -Command "Install-Module -Name SqlServer -AllowClobber -Scope AllUsers -Force -RequiredVersion 22.1.1"

Seguridad en la conexión del Runtime

Se han añadido dos nuevas opciones de seguridad para la conexión del Runtime a Sage X3 Console en 2023 R2:

Connection Encryption

Especifica si la conexión a la base de datos está cifrada mediante TLS. Si se activa y TrustServerCertificate se establece en No, SQL Server requerirá una cadena de certificados de confianza válida.

Puede instalar los certificados a través de un script Powershell que le proporcionará la consola (Menú Acción).

Si TustServerCertificate se establece a yes, SQL Confiará en la conexión de forma predeterminada y no se necesitará ningún certificado adicional.

Trust server certificate

Puede establecer esta opción en “True” para omitir la comprobación de validación de la cadena de certificados TLS/SSL para la conexión a la base de datos SQL Server, si ha optado por implementar el cifrado.

En este caso, la conexión será de confianza por defecto.

Cuando se establece a ‘No’, la cadena de certificados será controlada por SQL Server y requerirá que se instalen certificados válidos.

Se recomienda utilizar el valor ‘No’ en las instancias de producción para obtener la máxima seguridad. Si su cadena de certificados no es válida, SQL Server emitirá un error indicando que la cadena de certificados no es de confianza.

Script de creación certificado SQL Server

Para dar soporte a la nueva configuración de “Certificado de servidor de confianza” se ha introducido una nueva Acción, “Guardar script de creación de certificado de servidor SQL”.

Tenga en cuenta que SQL Server deberá configurarse para aprovechar estas nuevas opciones

** Información adicional disponible en la ayuda en línea Online Help **